/*
Laboratoire 13 (Fichiers)
Question 4:

crire une fonction qui lit un fichier texte contenant des tempratures (une temprature par ligne),
et qui renvoie la temprature moyenne.
*/
#define _CRT_SECURE_NO_WARNINGS

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "q5_t_polygone.h"


#define TAILLE_MAX_CHAINE 300 //Taille maximale du buffer stockant une chaine de caractres.

int main(void) {
	char nom_fichier[TAILLE_MAX_CHAINE]; //Le nom du fichier 
	FILE* fichier; //Handle vers le fichier o on stocke le polygone
	t_polygone *mon_polygone; //Polygone  sauvegarder dans le fichier
	t_polygone *polygone_charge; //Polygone lu depuis le fichier

	//On cre un polygone et on dfinit ses points
	mon_polygone = init_polygone(3);
	mon_polygone->points[0].x = 10; 
	mon_polygone->points[0].y = 10;
	mon_polygone->points[1].x = 15;
	mon_polygone->points[1].y = 20;
	mon_polygone->points[2].x = 20;
	mon_polygone->points[2].y = 10;

	//On affiche le polygone  sauvegarder:
	printf("*** Le polygone a sauvegarder: ***\n");
	afficher_polygone(mon_polygone);

    //Saisie du nom de fichier  crer
	printf("\n\nVeuillez saisir le nom du fichier pour stocker le polygone: ");
	fgets(nom_fichier, TAILLE_MAX_CHAINE, stdin);
	//On ne veut pas de \n dans le nom de fichier, on l'enlve: 
	nom_fichier[strlen(nom_fichier) - 1] = '\0';

	//On sauvegarde le polynome dans un fichier texte
	if ( sauvegarder_polygone(mon_polygone, nom_fichier)) //Si sauvegarder_polynome a retourne vrai
	{
		printf("\n\nPolygone sauvegade dans le fichier %s.\n\n", nom_fichier);
	}
	else { //Sinon, on affiche une erreur et on quitte le programme.
		printf("Une erreur s'est produite lors de la sauvegarde du fichier.\n\n");
		system("pause");
		return EXIT_FAILURE;
	}

	//On dtruit le polygone qu'on a cr
	detruire_polygone(mon_polygone);

	printf("*** Lecture du polygone depuis le fichier %s ***\n", nom_fichier);

	//On lit le fichier qu'on vient de crer, a nous donne un polygone
	polygone_charge =  charger_polygone(nom_fichier);

	printf("\n\n*** Le polygone qui a ete lu : ***\n");
	afficher_polygone(polygone_charge);



	system("pause");
	return EXIT_SUCCESS;
}